This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 140063 - PHP GD extension does not appear to work with some addon modules, ex. jpgraph-1.17
PHP GD extension does not appear to work with some addon modules, ex. jpgraph...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-19 11:10 EST by Norman R. Weathers
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 11:26:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Norman R. Weathers 2004-11-19 11:10:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Installing external class jpgraph1.17 broken when using php4 in Fedora
Core3.  This worked with Fedora Core2.  One can load the jpgraph
libraries and use the Examples provided and see an instant failure
complaining about GD possibly not being installed.  I checked the
phpinfo for that installation, and it showed gd was configured
(--with-gd=shared).  This is the same configuration as the PHP that
comes with Fedora Core 2.

The current work around at the moment is to remove php-4.3.9 in the
Core3 install and reload the php-4.3.4 packages that came with Core2,
then create a link for libcurl.so.2 (bad, I know, but I had to get
this working again fast).



Version-Release number of selected component (if applicable):
php-4.3.9-3

How reproducible:
Always

Steps to Reproduce:
1.  Install something that uses GD, such as jpgraph-1.17 (either beta
or beta2 versions do the same thing).
2.  Point your web browser to the correct Examples directory (ex.
/var/www/html/jpgraph-1.17beta2/src/Examples on the server.)  ex.
your.com/jpgraph-1.17beta2/src/Examples
3.  Choose any example.  They all fail, if I remember correctly.
    

Actual Results:  An error message is reported to the screen (forgot to
write it down, but it complains about GD not being compiled into this
version of PHP), and the server error log has the following error
message (URL and IP's removed):

PHP Notice:  Use of undefined constant IMG_PNG - assumed 'IMG_PNG' in
/kickstart/WEB/www/html/libs/jpgraph/src/jpgraph.
php on line 341, referer: http://xxx.xxx.xxx/xxx/xxx.php

Expected Results:  A graph should display from the jpgraph examples
directory.

Additional info:

This exact system was working in Fedora Core 2.  I have mad the system
work temporarily by putting the older Core 2 php release onto this
node that  I am testing with and creating a link from libcurl.so.3 to
libcurl.so.2 (required for php-4.3.4 to work).
Comment 1 Joe Orton 2004-11-19 11:26:24 EST
Thanks for the report. 

The gd extension was split out into a separate subpackage for FC3, you
have to install the "php-gd" package to restore the GD extension. 
(This is covered in the FC3 release notes)

Note You need to log in before you can comment on or make changes to this bug.